This page was not yet optimized for use on mobile devices.
Crunchy Certified PostgreSQL 12.5
Certificate details
| Status | archived |
|---|---|
| Valid from | 16.03.2021 |
| Valid until | 16.03.2026 |
| Scheme | 🇨🇦 CA |
| Manufacturer | Crunchy Data Solutions Inc. |
| Category | Databases |
| Security level | EAL2+, ALC_FLR.2 |
| Protection profiles |
Certificate
Certification report
Extracted keywords
Protocols
SSLSecurity level
EAL 2+Security Assurance Requirements (SAR)
ALC_FLR.2Evaluation facilities
Lightship SecurityStandards
ISO/IEC 17025Security target
Extracted keywords
Hash functions
MD5Protocols
SSLLibraries
OpenSSLSecurity level
EAL2, EAL2 augmentedClaims
O.ADMIN_ROLE, O.AUDIT_GENERATION, O.DISCRETIONARY_ACCESS, O.MANAGE, O.MEDIATE, O.RESIDUAL_INFORMATION, O.TOE_ACCESS, O.TOEACCESS, T.ACCESS_TSFDATA, T.ACCESS_TSFFUNC, T.IA_MASQUERADE, T.IA_USER, T.RESIDUAL_DATA, T.TSF_COMPROMISE, T.UNAUTHORIZED_ACCESS, A.PHYSICAL, A.AUTHUSER, A.MANAGE, A.TRAINEDUSER, A.NO_GENERAL_PURPOSE, A.SUPPORT, A.CONNECT, OE.ADMIN, OE.INFO_PROTECT, OE.NO_GENERAL_PURPOSE, OE.PHYSICAL, OE.IT_REMOTE, OE.IT_TRUSTED_SYSTEMSecurity Assurance Requirements (SAR)
ADV_ARC.1, ADV_FSP.2, ADV_TDS.1, AGD_OPE.1, AGD_PRE.1, ALC_FLR.2, ALC_CMC.2, ALC_CMS.2, ALC_DEL.1, ATE_COV.1, ATE_FUN.1, ATE_IND.2, AVA_VAN.2, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.2, ASE_REQ.2, ASE_SPD.1, ASE_TSS.1Security Functional Requirements (SFR)
FAU_GEN.1, FAU_GEN.2, FAU_SEL.1, FAU_GEN.1.1, FAU_GEN.1.2, FAU_GEN.2.1, FAU_SEL.1.1, FDP_ACC.1, FDP_ACF.1, FDP_RIP.1, FDP_ACC.1.1, FDP_ACF.1.1, FDP_ACF.1.2, FDP_ACF.1.3, FDP_ACF.1.4, FDP_RIP.1.1, FIA_USB.1, FIA_ATD.1, FIA_UAU.1, FIA_UID.1, FIA_ATD.1.1, FIA_UAU.1.1, FIA_UAU.1.2, FIA_UID.1.1, FIA_UID.1.2, FMT_MOF.1, FMT_MSA.1, FMT_MSA.3, FMT_MTD.1, FMT_REV.1, FMT_SMF.1, FMT_SMR.1, FMT_MOF.1.1, FMT_MSA.1.1, FMT_MSA.3.1, FMT_MSA.3.2, FMT_MTD.1.1, FMT_REV.1.1, FMT_REV.1.2, FMT_SMF.1.1, FMT_SMR.1.1, FMT_SMR.1.2, FPT_TRC.1, FPT_TRC.1.1, FPT_TRC.1.2, FTA_MCS.1, FTA_TSE.1, FTA_MCS.1.1, FTA_MCS.1.2, FTA_TSE.1.1Certification process
Out of Scope, 1.5.9.2 Components and Capabilities that are Out of Scope, 1.5.9.3 Configuration Options that are Out of Scope, In addition, the following components in the IT environment are out of scopeAutomated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.Certificate ID
516-LSSExtracted SARs
ADV_ARC.1, ADV_FSP.2, ADV_TDS.1, AGD_OPE.1, AGD_PRE.1, ALC_CMC.2, ALC_CMS.2, ALC_DEL.1, ALC_FLR.2, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.2, ASE_REQ.2, ASE_SPD.1, ASE_TSS.1, ATE_COV.1, ATE_FUN.1, ATE_IND.2, AVA_VAN.2Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.cc.CCCertificate",
"category": "Databases",
"cert_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/516-LSS%20CT%20no%20sig%20Eng.pdf",
"dgst": "514db6064d93b43b",
"heuristics": {
"_type": "sec_certs.sample.cc_eucc_common.Heuristics",
"annotated_references": null,
"cert_id": "516-LSS",
"cert_lab": null,
"cpe_matches": null,
"direct_transitive_cves": null,
"eal": "EAL2+",
"extracted_sars": {
"_type": "Set",
"elements": [
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ASE_TSS",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ATE_FUN",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ASE_SPD",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ADV_FSP",
"level": 2
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ATE_IND",
"level": 2
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ASE_CCL",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ASE_ECD",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ASE_REQ",
"level": 2
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "AGD_PRE",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ASE_INT",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ALC_CMS",
"level": 2
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ALC_FLR",
"level": 2
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ATE_COV",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ADV_TDS",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ADV_ARC",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ALC_CMC",
"level": 2
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "AGD_OPE",
"level": 1
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "AVA_VAN",
"level": 2
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ASE_OBJ",
"level": 2
},
{
"_type": "sec_certs.sample.sar.SAR",
"family": "ALC_DEL",
"level": 1
}
]
},
"extracted_versions": {
"_type": "Set",
"elements": [
"12.5"
]
},
"indirect_transitive_cves": null,
"next_certificates": null,
"prev_certificates": null,
"protection_profiles": {
"_type": "Set",
"elements": [
"c0b2fe8891b23088"
]
},
"related_cves": null,
"report_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"scheme_data": null,
"st_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"verified_cpe_matches": null
},
"maintenance_updates": {
"_type": "Set",
"elements": []
},
"manufacturer": "Crunchy Data Solutions Inc.",
"manufacturer_web": "https://crunchydata.com/",
"name": "Crunchy Certified PostgreSQL 12.5",
"not_valid_after": "2026-03-16",
"not_valid_before": "2021-03-16",
"pdf_data": {
"_type": "sec_certs.sample.cc_eucc_common.PdfData",
"cert_filename": "516-LSS CT no sig Eng.pdf",
"cert_frontpage": null,
"cert_keywords": {
"asymmetric_crypto": {},
"cc_cert_id": {},
"cc_claims": {},
"cc_protection_profile_id": {},
"cc_sar": {},
"cc_security_level": {},
"cc_sfr": {},
"certification_process": {},
"cipher_mode": {},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {},
"eval_facility": {
"Lightship": {
"Lightship Security": 1
}
},
"hash_function": {},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {},
"side_channel_analysis": {},
"standard_id": {},
"symmetric_crypto": {},
"technical_report_id": {},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"cert_metadata": {
"/CreationDate": "D:20190122115136-04\u002700\u0027",
"/Creator": "Adobe Illustrator CC 22.0 (Windows)",
"/ModDate": "D:20210325160326-05\u002700\u0027",
"/Producer": "Adobe PDF library 15.00",
"/Title": "cyber-centre-product-evaluation-certificate-e-bg",
"pdf_file_size_bytes": 1640422,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 1
},
"report_filename": "516 LSS CR.pdf",
"report_frontpage": {
"CA": {}
},
"report_keywords": {
"asymmetric_crypto": {},
"cc_cert_id": {},
"cc_claims": {},
"cc_protection_profile_id": {},
"cc_sar": {
"ALC": {
"ALC_FLR.2": 1
}
},
"cc_security_level": {
"EAL": {
"EAL 2+": 1
}
},
"cc_sfr": {},
"certification_process": {},
"cipher_mode": {},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 1
}
}
},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {},
"eval_facility": {
"Lightship": {
"Lightship Security": 1
}
},
"hash_function": {},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {},
"side_channel_analysis": {},
"standard_id": {
"ISO": {
"ISO/IEC 17025": 2
}
},
"symmetric_crypto": {},
"technical_report_id": {},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"report_metadata": {
"/Author": "White, Debra E.",
"/CreationDate": "D:20210326143039-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20210326143039-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"pdf_file_size_bytes": 596553,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://cve.mitre.org/",
"https://www.packetstormsecurity.org/",
"https://postgis.net/documentation/",
"https://jdbc.postgresql.org/",
"https://www.pgaudit.org/#section_three",
"https://www.postgresql.org/docs/9.5/libpq.html",
"https://www.cvedetails.com/",
"http://www.kb.cert.org/vuls/",
"http://www.google.com/",
"https://www.postgresql.org/support/security/",
"mailto:[email protected]",
"http://nvd.nist.gov/",
"https://www.crunchydata.com/"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 16
},
"st_filename": "Security Target - Crunchy Certified PostgreSQL 12 - v1.8 - 515-LSS.pdf",
"st_frontpage": null,
"st_keywords": {
"asymmetric_crypto": {},
"cc_cert_id": {},
"cc_claims": {
"A": {
"A.AUTHUSER": 2,
"A.CONNECT": 6,
"A.MANAGE": 2,
"A.NO_GENERAL_PURPOSE": 2,
"A.PHYSICAL": 2,
"A.SUPPORT": 2,
"A.TRAINEDUSER": 2
},
"O": {
"O.ADMIN_ROLE": 8,
"O.AUDIT_GENERATION": 6,
"O.DISCRETIONARY_ACCESS": 6,
"O.MANAGE": 10,
"O.MEDIATE": 8,
"O.RESIDUAL_INFORMATION": 8,
"O.TOEACCESS": 1,
"O.TOE_ACCESS": 17
},
"OE": {
"OE.ADMIN": 11,
"OE.INFO_PROTECT": 19,
"OE.IT_REMOTE": 9,
"OE.IT_TRUSTED_SYSTEM": 8,
"OE.NO_GENERAL_PURPOSE": 7,
"OE.PHYSICAL": 7
},
"T": {
"T.ACCESS_TSFDATA": 3,
"T.ACCESS_TSFFUNC": 4,
"T.IA_MASQUERADE": 4,
"T.IA_USER": 2,
"T.RESIDUAL_DATA": 2,
"T.TSF_COMPROMISE": 3,
"T.UNAUTHORIZED_ACCESS": 3
}
},
"cc_protection_profile_id": {},
"cc_sar": {
"ADV": {
"ADV_ARC.1": 1,
"ADV_FSP.2": 1,
"ADV_TDS.1": 1
},
"AGD": {
"AGD_OPE.1": 1,
"AGD_PRE.1": 1
},
"ALC": {
"ALC_CMC.2": 1,
"ALC_CMS.2": 1,
"ALC_DEL.1": 1,
"ALC_FLR.2": 4
},
"ASE": {
"ASE_CCL.1": 1,
"ASE_ECD.1": 1,
"ASE_INT.1": 1,
"ASE_OBJ.2": 1,
"ASE_REQ.2": 1,
"ASE_SPD.1": 1,
"ASE_TSS.1": 1
},
"ATE": {
"ATE_COV.1": 1,
"ATE_FUN.1": 1,
"ATE_IND.2": 1
},
"AVA": {
"AVA_VAN.2": 1
}
},
"cc_security_level": {
"EAL": {
"EAL2": 3,
"EAL2 augmented": 2
}
},
"cc_sfr": {
"FAU": {
"FAU_GEN.1": 4,
"FAU_GEN.1.1": 3,
"FAU_GEN.1.2": 2,
"FAU_GEN.2": 4,
"FAU_GEN.2.1": 3,
"FAU_SEL.1": 7,
"FAU_SEL.1.1": 1
},
"FDP": {
"FDP_ACC.1": 12,
"FDP_ACC.1.1": 1,
"FDP_ACF.1": 6,
"FDP_ACF.1.1": 3,
"FDP_ACF.1.2": 2,
"FDP_ACF.1.3": 3,
"FDP_ACF.1.4": 2,
"FDP_RIP.1": 7,
"FDP_RIP.1.1": 1
},
"FIA": {
"FIA_ATD.1": 10,
"FIA_ATD.1.1": 3,
"FIA_UAU.1": 4,
"FIA_UAU.1.1": 3,
"FIA_UAU.1.2": 2,
"FIA_UID.1": 5,
"FIA_UID.1.1": 3,
"FIA_UID.1.2": 2,
"FIA_USB.1": 5
},
"FMT": {
"FMT_MOF.1": 8,
"FMT_MOF.1.1": 1,
"FMT_MSA.1": 6,
"FMT_MSA.1.1": 1,
"FMT_MSA.3": 5,
"FMT_MSA.3.1": 3,
"FMT_MSA.3.2": 2,
"FMT_MTD.1": 5,
"FMT_MTD.1.1": 3,
"FMT_REV.1": 13,
"FMT_REV.1.1": 7,
"FMT_REV.1.2": 8,
"FMT_SMF.1": 5,
"FMT_SMF.1.1": 2,
"FMT_SMR.1": 7,
"FMT_SMR.1.1": 2,
"FMT_SMR.1.2": 2
},
"FPT": {
"FPT_TRC.1": 7,
"FPT_TRC.1.1": 1,
"FPT_TRC.1.2": 1
},
"FTA": {
"FTA_MCS.1": 5,
"FTA_MCS.1.1": 3,
"FTA_MCS.1.2": 2,
"FTA_TSE.1": 4,
"FTA_TSE.1.1": 3
}
},
"certification_process": {
"OutOfScope": {
"1.5.9.2 Components and Capabilities that are Out of Scope": 1,
"1.5.9.3 Configuration Options that are Out of Scope": 1,
"In addition, the following components in the IT environment are out of scope": 1,
"Out of Scope": 2
}
},
"cipher_mode": {},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 3
}
},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 8
}
}
},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {},
"eval_facility": {},
"hash_function": {
"MD": {
"MD5": {
"MD5": 4
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {},
"side_channel_analysis": {},
"standard_id": {
"RFC": {
"RFC 1321": 4,
"RFC 1413": 2,
"RFC 1964": 1,
"RFC 2743": 1,
"RFC 4510": 1,
"RFC 7677": 4
}
},
"symmetric_crypto": {},
"technical_report_id": {},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"st_metadata": {
"/Author": "Paul Laurence",
"/CreationDate": "D:20210316110349-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20210316110349-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"pdf_file_size_bytes": 1146452,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 79
}
},
"protection_profile_links": {
"_type": "Set",
"elements": [
"https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/pp0088V2b_pdf.pdf"
]
},
"report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/516%20LSS%20CR.pdf",
"scheme": "CA",
"security_level": {
"_type": "Set",
"elements": [
"EAL2+",
"ALC_FLR.2"
]
},
"st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/Security%20Target%20-%20Crunchy%20Certified%20PostgreSQL%2012%20-%20v1.8%20-%20515-LSS.pdf",
"state": {
"_type": "sec_certs.sample.cc_eucc_common.InternalState",
"cert": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "ead89600713f80ead77da8aab0f9630d4e3227b4ec968e817f9d19b7cdad2661",
"source_hash": "62dcccf374de788629d4d52afdf5702a3c275fe34f5b9ff8a92df0ac185ffc9d",
"txt_hash": "1d28b5041e0061ca388012f216040683e1bd1ae73a01fad26562abd8d098523d"
},
"report": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "e6eff48e1efc3b217519cf7829e02011dfc218285b1cabe50e14fdada300f32c",
"source_hash": "522a896a3bd1386b7347ed32abf58950d4dbf8cac2fce7b48ee1205116621b69",
"txt_hash": "45146e29d77993a4daf11e15cda4b72a1786b420e357ab4cba35402b88f52f86"
},
"st": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "391a072b749b701eb7bc364a98bd3777f068000910034214e928726060456ee4",
"source_hash": "8512df6f67ee2f8aa98cb383f2e3ae76577483fe8cc6ea43d21fc9f3e22fa42a",
"txt_hash": "a0af6845234214b2f919e9da55959836645a84ee3a6545b592bd97da41c76719"
}
},
"status": "archived"
}